Subject: [os2genau_digest] No. 525
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 17 Jan 2003 00:02:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 16 January 2003
 Number  525
**************************************************

Subjects for today
 
1  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ian Manners" <deadmail>
2  [os2genau] Slightly OT  Sharing internet modem dialup : Michael Peters" <mpeters at austarnet dot com dot au>
3  [os2genau] Slightly OT  Sharing internet modem dialup : Michael Peters" <mpeters at austarnet dot com dot au>
4  [os2genau] TCPIP setup - help printing : Michael Peters" <mpeters at austarnet dot com dot au>
5  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ian Manners" <deadmail>
6  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ed Durrant <edurrant at bigpond dot net dot au>
8  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ed Durrant <edurrant at bigpond dot net dot au>
9  Re: [os2genau] TCPIP setup - help printing : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Thu, 16 Jan 2003 01:01:32 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Hi Michael

(and I hope everyone had a good xmas & NY :-)

I can only speak for OS/2-eCS.

To use an OS/2 PC as the gateway with injoy, it a simple
matter of setting up the gateway machine with an internal
IP range, ie, 192.168.1.1, then in TCP/IP setup turn "IP Forwarding"
on.  All you should then need to do is to setup all other networked
PC's (Windows-Linux-Mac) with a gateway address of 192.168.1.1,
which is of cause your gateway machine.

If you also setup InJoy with the relevent filter (in the provideded
examples cnf files), the gateway PC will then automatically
dialout when needed.

You can also get the latest beta version of InJoy Dialler for
Windows and Linux, look on the fx website.

Cheers
Ian B Manners
http://www.os2site dot com/

The Law of Software Development and Envelopment at MIT:
Every program in development at MIT expands until it can read mail.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 16 Jan 2003 15:27:39 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  [os2genau] Slightly OT  Sharing internet modem dialup

 I apologise for the errors in my previous mailing on 
this subject. Let's agree I was having a senior
moment :-) . 
 To reiterate and send the correct message...
I have been running a lan here for the past 12
months using my OS/2 box as a gateway to the
internet. The lan consists of win2000( for
terminal server), win98 (for the grandchildrens
games) and winXP(my wife's work) and of course
the OS/2 box. We use terminal server, DTOC and
file/printer sharing. My wife's winXP is now working
much more than my OS/2 because we live in a
rural area and she does alot of business over the
net. So I tried to set her winXP up as the gateway
using the inbuilt Internet Connection Sharing (ICS)
facility and dropping the OS/2 Injoy NAT and 
firewall. The Win part I have accomplished thanks
to one of those little pamphlets on networking 
you get at the newsagents. It even covers Linux
and Mac sharing. But I can't get the OS/2 box
sharing as a client to the new gateway. I don't
have a router. I thought I might have to set up
socks in OS/2 but before I did so I wanted to
check with the group who work with these
problems all the time.
    Ian says there is an Injoy beta for Windows
but I can't find it on the Injoy site. I suppose
that's a good way around the problem . I
expect it replaces ICS.
   Meanwhile, Ed in particular, thank you for the
time and detail of the replies. Now that I have
explained things a bit better, hopefully, is there 
something else I should do to get this OS/2 box
sharing our 56K (the best we get is 2.8k/sec)
modem?

With thanks

Mike

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 16 Jan 2003 15:27:39 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  [os2genau] Slightly OT  Sharing internet modem dialup

 I apologise for the errors in my previous mailing on 
this subject. Let's agree I was having a senior
moment :-) . 
 To reiterate and send the correct message...
I have been running a lan here for the past 12
months using my OS/2 box as a gateway to the
internet. The lan consists of win2000( for
terminal server), win98 (for the grandchildrens
games) and winXP(my wife's work) and of course
the OS/2 box. We use terminal server, DTOC and
file/printer sharing. My wife's winXP is now working
much more than my OS/2 because we live in a
rural area and she does alot of business over the
net. So I tried to set her winXP up as the gateway
using the inbuilt Internet Connection Sharing (ICS)
facility and dropping the OS/2 Injoy NAT and 
firewall. The Win part I have accomplished thanks
to one of those little pamphlets on networking 
you get at the newsagents. It even covers Linux
and Mac sharing. But I can't get the OS/2 box
sharing as a client to the new gateway. I don't
have a router. I thought I might have to set up
socks in OS/2 but before I did so I wanted to
check with the group who work with these
problems all the time.
    Ian says there is an Injoy beta for Windows
but I can't find it on the Injoy site. I suppose
that's a good way around the problem . I
expect it replaces ICS.
   Meanwhile, Ed in particular, thank you for the
time and detail of the replies. Now that I have
explained things a bit better, hopefully, is there 
something else I should do to get this OS/2 box
sharing our 56K (the best we get is 2.8k/sec)
modem?

With thanks

Mike

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 16 Jan 2003 15:49:44 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  [os2genau] TCPIP setup - help printing

I am running the latest TCPIP setup . The TCP/IP Configuration Notebook is a java program and I
would like to print out some of the online Help. How can I do this. Is there an inf file I can point to
with view.exe ? Or some other?

With thanks

Mike

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 16 Jan 2003 15:55:38 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Hi Michael

>But I can't get the OS/2 box
>sharing as a client to the new gateway. I don't
>have a router. I thought I might have to set up
>socks in OS/2 but before I did so I wanted to
>check with the group who work with these
>problems all the time.

OS/2 just needs its standard TCP/IP loaded, as you
were previously using it as the gateway I assume this
is already loaded.

The only changes you need to make should be in

x:\mptn\bin\setup.cmd

route add default 192.168.1.254 -netmask 255.255.255.255 -hopcount 1
ipgate off

ie, change 192.168.1.254 to the IP of the WinXP machine.
Also remove anyother 'route' statements, you should only
have the default route set.

For future info, having 'ipgate on' in the setup.cmd makes
your OS/2 box a router, you then just need the 'route' statements.

Cheers
Ian B Manners
http://www.os2site dot com/

Never let an inanimate object know you are in a hurry.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 16 Jan 2003 19:21:30 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Hi Michael,

  Well I guess you'd get the answer OS/2 clients aren't supported if you went to
Microsoft with this problem in their ICS system, this doesn't mean it won't work
though.

 First point - DON'T set up SOCKS - that's not where the problem is. (IMHO).

 Second point - Check how many concurrent clients ICS is allowed to support, under
Windows 98 it was the hosting box plus only two others. I think it's more with XP
although the Microsoft solution for more than a couple of PC's is to use NAT "propper"
using M$ routing software that comes with Windows 2000 Server.

 The OS/2 PC, now without a modem and only a LAN connection, correct ? Make sure you
remove the Injoy drivers from MPTS. All you should have "bound" to the LAN card (card
zero) are the protocols you need, usually TCPIP and possibly Netbios. If you want to
run Netbeui over IP, that's a whole extra story (it works, both in standards and
Microsoft style, but it's just a bit tricky to set up if you don't understand how it's
working).

In TCPCFG2 - make sure you have a compatible IP address assigned (you could try
setting to DHCP and pick up the address from the XP box later, lets keep it simple for
now). The IP address that you assign has to be in the same IP network as the other PCs
on your LAN. To check this go to the win98 box and run WINIPCFG and note down the IP
address, subnet mask and default router (the dfefault router will be the address of
the XP box). add 5 (or so) to the IP address number and enter it and the other
settings into the OS/2 TCPCFG2 configuration program. Also enter the primary and
secondary DNS entries (also get these from the Win98 box). these should be the DNS
addresses from your ISP. Save TCPCFG2 settings, restart the OS/2 box and see if it
works. If not see if you can PING the IP address of the WINXP box and let me know what
error it returns. If it works you can leave it as is or note down all settings and
switch to DHCP and try that - if that doesn't work, put the noted settings back in.

Good luck

Cheers/2

Ed.

Michael Peters wrote:

>  I apologise for the errors in my previous mailing on
> this subject. Let's agree I was having a senior
> moment :-) .
>  To reiterate and send the correct message...
> I have been running a lan here for the past 12
> months using my OS/2 box as a gateway to the
> internet. The lan consists of win2000( for
> terminal server), win98 (for the grandchildrens
> games) and winXP(my wife's work) and of course
> the OS/2 box. We use terminal server, DTOC and
> file/printer sharing. My wife's winXP is now working
> much more than my OS/2 because we live in a
> rural area and she does alot of business over the
> net. So I tried to set her winXP up as the gateway
> using the inbuilt Internet Connection Sharing (ICS)
> facility and dropping the OS/2 Injoy NAT and
> firewall. The Win part I have accomplished thanks
> to one of those little pamphlets on networking
> you get at the newsagents. It even covers Linux
> and Mac sharing. But I can't get the OS/2 box
> sharing as a client to the new gateway. I don't
> have a router. I thought I might have to set up
> socks in OS/2 but before I did so I wanted to
> check with the group who work with these
> problems all the time.
>     Ian says there is an Injoy beta for Windows
> but I can't find it on the Injoy site. I suppose
> that's a good way around the problem . I
> expect it replaces ICS.
>    Meanwhile, Ed in particular, thank you for the
> time and detail of the replies. Now that I have
> explained things a bit better, hopefully, is there
> something else I should do to get this OS/2 box
> sharing our 56K (the best we get is 2.8k/sec)
> modem?
>
> With thanks
>
> Mike
>

>  

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 16 Jan 2003 19:24:45 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

A point on the Modem speed, there are a few settings you can play with to try to
improve things, try adding S91=13 and S9=13 into the initialisation string, this will
lift the "volume" of your signal down the phone line and can help a little. If your
not close to a town with a digital exchange, you're never going to get 56k (and then
only if your ISP pays Telstra to run his modem links). The best you can realisticaly
hope for is probably 30k.

Ed.

Michael Peters wrote:

>    Meanwhile, Ed in particular, thank you for the
> time and detail of the replies. Now that I have
> explained things a bit better, hopefully, is there
> something else I should do to get this OS/2 box
> sharing our 56K (the best we get is 2.8k/sec)
> modem?
>
> With thanks
>
> Mike
>

>  

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Thu, 16 Jan 2003 19:34:19 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Ian, with M$ ICS doesn't it rely on the APIPA - that is, if a PC can't find a DHCP
server and its running WIN98, 2k or XP, it'll pick any address in the 169.254.0.1 to
169.254.255.254 range with a class B subnet mask of 255.255.0.0, check it's not
already active on the LAN and then take it for itself.

OS/2 doesn't do this (AFAIK), so hence although setting Windoze PCs to DHCP in an
Internet connect sharing (ICS) environment seems to work, in fact it's not using DHCP
at all but rather this "hit and miss" method. M$ NAT has a trues DHCP relay agent
incorporated.

Cheers/2

Ian Manners wrote:

> Hi Michael
>
> OS/2 just needs its standard TCP/IP loaded, as you
> were previously using it as the gateway I assume this
> is already loaded.
>
> The only changes you need to make should be in
>
> x:\mptn\bin\setup.cmd
>
> route add default 192.168.1.254 -netmask 255.255.255.255 -hopcount 1
> ipgate off
>
> ie, change 192.168.1.254 to the IP of the WinXP machine.
> Also remove anyother 'route' statements, you should only
> have the default route set.
>

----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Thu, 16 Jan 2003 19:48:21 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] TCPIP setup - help printing

Download Newview by aaron Lawrence from Hobbes and then open the \TCPIP\help directory where you will see
all of the help files.

Newview allows you to cut and paste from the file (View.exe doesn't) and allows you to print sections more
easily. It can read inf or hlp files.

Cheers/2

Ed.

Michael Peters wrote:

> I am running the latest TCPIP setup . The TCP/IP Configuration Notebook is a java program and I
> would like to print out some of the online Help. How can I do this. Is there an inf file I can point to
> with view.exe ? Or some other?
>
> With thanks
>
> Mike
>

>  

----------------------------------------------------------------------------------